/*
 ***********************************************************
 $SNARK_Header: S N A R K  1 4 - A PICTURE RECONSTRUCTION PROGRAM $
 $HeadURL: svn://dig.cs.gc.cuny.edu/snark/trunk/src/snark/quad_nextr.cpp $
 $LastChangedRevision: 89 $
 $Date: 2014-07-02 17:24:53 -0400 (Wed, 02 Jul 2014) $
 $Author: agulati $
 ***********************************************************

 FOR AOPT 2 AND 4 NEXT R IS COMPUTED
 COMPUTE THE NEXT GRADIENT BY THE INDIRECT METHOD
 USED BY QUADRATIC OPTIMIZATION ALGORITHM.
 */

#include <cstdio>

#include "blkdta.h"

#include "quad.h"

void quad_class::nextr(REAL* r, REAL* v, REAL delta, INTEGER area)
{
	INTEGER i;

	for (i = 0; i < area; i++)
	{
		r[i] -= delta * v[i];
	}

	return;
}
