/* 
 ***********************************************************
 $SNARK_Header: S N A R K  1 4 - A PICTURE RECONSTRUCTION PROGRAM $
 $HeadURL: svn://dig.cs.gc.cuny.edu/snark/trunk/src/snark/geom.h $
 $LastChangedRevision: 85 $
 $Date: 2014-07-02 16:07:08 -0400 (Wed, 02 Jul 2014) $
 $Author: agulati $
 ***********************************************************
 */

#ifndef GEOM_H
#define GEOM_H

#include "blkdta.h"

extern class Geometry_class
{
public:
	BOOLEAN div;BOOLEAN tang;BOOLEAN arc;BOOLEAN par;BOOLEAN uni;BOOLEAN vri;BOOLEAN strip;BOOLEAN line;
	//  BOOLEAN rebinf;    // bug 151 - swr - 08/07/2005
	BOOLEAN lino;  /// bug #135. Lajos, 08/01/2005
	INTEGER nelem;INTEGER area;INTEGER midpix;INTEGER prjnum;INTEGER nrays;INTEGER midray;INTEGER snrays;INTEGER usrays;INTEGER fsnray;INTEGER lsnray;INTEGER fusray;INTEGER lusray;INTEGER nave2;INTEGER naper[13];
	//  INTEGER adven;    // bug 151 - swr - 08/07/2005
	//  INTEGER spleft;   // bug 151 - swr - 08/07/2005
	REAL pixsiz;REAL pinc;REAL radius;REAL stod;REAL aveden;

	Geometry_class();INTEGER numray(INTEGER melen, REAL zisxip);
	void print(char *comment);
} GeoPar;

#endif

